### org.jfree.layouting.renderer.model.table.cells

# Class DataCell

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.cells.TableCell`
  - - `org.jfree.layouting.renderer.model.table.cells.DataCell`

`public class DataCell`
`extends TableCell`

A data-cell holds a reference to a TableCellRenderBox. It contains data and is usually found in the upper left corner of an cell.

Author:
  Thomas Morgner

  ## Constructor Summary

  `DataCell(int rowSpan, int colSpan, Object cellRenderBox)`

  ## Method Summary

  `Object`

  `getCellRenderBox()`

  `String`

  `toString()`

  ### Methods inherited from class org.jfree.layouting.renderer.model.table.cells.TableCell

  `getColSpan`, `getRowSpan`, `toString`

## Constructor Details

### DataCell

    public DataCell(int rowSpan,
                    int colSpan,
                    Object cellRenderBox)

## Method Details

### getCellRenderBox

    public Object getCellRenderBox()

### toString

    public String toString()

> Overrides:
>   toString in interface TableCell